// swift-tools-version:5.7
import PackageDescription

let package = Package(
    name: "SwiftMetaModelGenerator",
    platforms: [.macOS(.v10_15)],
    products: [
        .executable(name: "swiftmetamodelgenerator", targets: ["swiftmetamodelgenerator"])
    ],
    dependencies: [
        .package(url: "https://github.com/apple/swift-argument-parser.git", exact: "1.1.4"),
        .package(url: "https://github.com/kylef/PathKit.git", exact: "1.0.1"),
        .package(url: "https://github.com/apple/swift-syntax.git", revision: "e048c1c1a68fbcbd7f2db200b2c2c20af929f67a"),
        .package(url: "https://github.com/kylef/Stencil.git", exact: "0.15.1"),
    ],
    targets: [
        .target(
            name: "swiftmetamodelgenerator",
            dependencies: [
                .product(name: "ArgumentParser", package: "swift-argument-parser"),
                "PathKit",
                .product(name: "SwiftSyntax", package: "swift-syntax"),
                .product(name: "SwiftSyntaxParser", package: "swift-syntax"),
                "Stencil"
            ],
            path: "SwiftMetaModelGenerator"
        )
    ]
)
